Source: python-amqp
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Michael Fladischer <fladi@debian.org>,
 Thomas Goirand <zigo@debian.org>,
 Brian May <bam@debian.org>,
 Christopher Hoskin <mans0954@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 libjs-jquery,
 python3-case <!nocheck>,
 python3-pytest <!nocheck>,
 python3-sphinx <!nodoc>,
 python3-sphinx-celery <!nodoc>,
 python3-vine <!nocheck>,
Standards-Version: 4.5.0
Homepage: https://github.com/celery/py-amqp
Vcs-Git: https://salsa.debian.org/python-team/packages/python-amqp.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-amqp
Rules-Requires-Root: no

Package: python-amqp-doc
Section: doc
Architecture: all
Build-Profiles: <!nodoc>
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Low-level AMQP client (Documentation)
 This is a fork of amqplib which was originally written by Barry Pederson. It
 is maintained by the Celery project, and used by kombu as a pure Python
 alternative when librabbitmq is not available.
 .
 This library should be API compatible with librabbitmq. Differences from
 amqplib are:
  * Supports draining events from multiple channels (Connection.drain_events).
  * Support for timeouts.
  * Channels are restored after channel error, instead of having to close the
    connection.
  * Support for heartbeats.
  * Supports RabbitMQ extensions:
    - Consumer Cancel Notifications.
    - Publisher confirms.
    - Exchange-to-exchange bindings: exchange_bind / exchange_unbind.
  * Support for basic_return.
  * Uses AMQP 0-9-1 instead of 0-8.
  * Exposes the underlying socket as Connection.sock.
  * Adds Channel.no_ack_consumers to keep track of consumer tags that set the
    no_ack flag.
  * Slightly better at error recovery.
 .
 This package contains the documentation.

Package: python3-amqp
Architecture: all
Depends:
 python3-vine,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-amqp-doc,
Description: Low-level AMQP client (Python3 version)
 This is a fork of amqplib which was originally written by Barry Pederson. It
 is maintained by the Celery project, and used by kombu as a pure Python
 alternative when librabbitmq is not available.
 .
 This library should be API compatible with librabbitmq. Differences from
 amqplib are:
  * Supports draining events from multiple channels (Connection.drain_events).
  * Support for timeouts.
  * Channels are restored after channel error, instead of having to close the
    connection.
  * Support for heartbeats.
  * Supports RabbitMQ extensions:
    - Consumer Cancel Notifications.
    - Publisher confirms.
    - Exchange-to-exchange bindings: exchange_bind / exchange_unbind.
  * Support for basic_return.
  * Uses AMQP 0-9-1 instead of 0-8.
  * Exposes the underlying socket as Connection.sock.
  * Adds Channel.no_ack_consumers to keep track of consumer tags that set the
    no_ack flag.
  * Slightly better at error recovery.
 .
 This package contains the Python 3 version of the library.
